跳转到主要内容
计算管理/虚拟机相关接口
GETVM Related Interfaces起始版本 2.2同步需要认证

获取候选镜像列表

获取候选镜像列表

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • vmInstanceUuidString

    虚拟机UUID

查询参数

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • stateString必填

      当前状态。

    • statusString必填

      状态信息。

    • sizeLong必填

      返回记录数。

    • actualSizeLong必填

      实际大小。

    • md5SumString必填

      暂无描述。

    • urlString必填

      地址。

    • mediaTypeString必填

      暂无描述。

    • guestOsTypeString必填

      暂无描述。

    • typeString必填

      类型。

    • platformString必填

      平台。

    • formatString必填

      数据格式或导出格式。

    • systemBoolean必填

      系统。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • backupStorageRefsList必填

      详情参考backupStorageRefs

      • imageUuidString必填

        镜像UUID

      • backupStorageUuidString必填

        镜像存储UUID

      • installPathString必填

        安装路径。

      • exportUrlString必填

        导出地址。

      • exportMd5SumString必填

        暂无描述。

      • statusString必填

        状态信息。

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

请求地址

GET/zstack/v1/vm-instances/{vmInstanceUuid}/image-candidates

/zstack/v1/vm-instances/{vmInstanceUuid}/image-candidates

操作 ID

GetImageCandidatesForVmToChange

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/image-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "2354990ad5ee343eba48bb07851a1423", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "2354990ad5ee343eba48bb07851a1423", "backupStorageUuid": "a03a78dbdab23444bb109d67a5059389", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史